import { ProColumns } from "@ant-design/pro-components";

export const columns = (): ProColumns<any>[] => {
    return [
        {
            title: "ID",
            dataIndex: 'id',
            hideInSearch: true,
            align: "center",
            key: "id"
        },
        {
            title: "用户ID",
            dataIndex: 'userId',
            key: "userId",
            align: "center",
        },
        {
            title: "小说名称",
            dataIndex: 'bookName',
            key: "bookName",
            align: "center",
            hideInSearch: true,
            render:(a,b:any)=>{
                return b?.bookInfo?.bookName
            }
        },
        {
            title: "章节名称",
            dataIndex: 'bookChapterName',
            key: "bookChapterName",
            hideInSearch: true,
            align: "center",
        },
        {
            title: "阅读时间",
            dataIndex: 'createTime',
            key: "createTime",
            align: "center",
        },
        // 搜索条件
        {
            title: "开始时间",
            dataIndex: 'startTime',
            valueType: 'dateTime',
            hideInTable: true
        },
        {
            title: "结束时间",
            dataIndex: 'endTime',
            valueType: 'dateTime',
            hideInTable: true
        },
    ];
}